<?
 /*SCRIPT PARA MANTENIMIENTO DE USUARIOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
  switch($tipo_trn){
   case "Add":
    if(!$txtusuario){
      alert("Ingrese un usuario","javascript:history.go(-1)");
    }
    if(!$txtclave){
     // alert("Debe escribir una clave para el usuario","javascript:history.go(-1)");
      $txtclave=strtolower($txtusuario);
    }
    $txtclave=strtolower($txtclave);
    $qver=mysql_query("select * from usuarios where usuario = '$txtusuario'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("El usuario que ingresó ya existe\\nNombre: {$iver[nombre]} {$iver[apellido]}","javascript:history.go(-1)");
    }
                $txtclave=base64_encode($txtclave);
                if(!$txtsupervisor){$txtsupervisor='N';}
                if(!$txtcatedratico){$txtcatedratico='N';}
                if(!$txtadministrador){$txtadministrador='N';}
                $sql="insert into
                      usuarios
                      set usuario='$txtusuario',
                      clave='$txtclave',
                      nombre='$txtnombre',
                      apellido='$txtapellido',
                      mail='$txtmail',
                      admin='$txtadministrador',
                      supervisor='$txtsupervisor',
                      catedratico='$txtcatedratico',
                      telefono='$txttelefonoc',
                      codigo_asistencia='$txtcodigo_asistencia',
                      estado_civil='$txtestadocivil',
                      conyuge='$txtconyuge',
                      direccion='$txtdireccion',
                      telefono_casa='$txttelcasa',
                      fecha_nacimiento='$txtfechan',
                      cedula='$txtcedula',
                      afiliacion_igss='$txtigss',
                      titulo_ed_media='$txttitulo_ed_media',
                      titulo_registro='$txttitulo_registro',
                      cedula_docente='$txtceduladocente',
                      registro_escalafonario='$txtescalafon',
                      estudio_universitario='$txtestudiosu',
                      fecha_inicio_lab='$txtfechainiciolab',
                      puesto='$txtpuestoactual',
                      sueldo_base='$txtsueldobase',
                      bonificacion='$txtbonificacion',
                      cta_banco='$txtctabancoi',
                      telefono_emg='$txtavisaraemg',
                      avisar_a_emg='$txttelemg',
                      nit='$txtnit'";
                  echo $sql;
                 $ins=mysql_query($sql);
                 if($ins){alert("Usuario $txtapellido, $txtnombre\\nagregado con éxito","frm_usuario.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;
   case "Update":
    if(!$txtusuario){
      alert("Ingrese un usuario","javascript:history.go(-1)");
    }
    $qver=mysql_query("select * from usuarios where usuario = '$txtusuario'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: El usuario no existe","javascript:history.go(-1)");
    }
                if(!$txtsupervisor){$txtsupervisor='N';}
                if(!$txtcatedratico){$txtcatedratico='N';}
                if(!$txtadministrador){$txtadministrador='N';}
                
                $txtfechan=fechabd($txtfechan);
                $txtfechainiciolab=fechabd($txtfechainiciolab);
                
                $sql="update
                      usuarios
                      set
                      nombre='$txtnombre',
                      apellido='$txtapellido',
                      mail='$txtmail',
                      admin='$txtadministrador',
                      supervisor='$txtsupervisor',
                      catedratico='$txtcatedratico',
                      telefono='$txttelefonoc',
                      codigo_asistencia='$txtcodigo_asistencia',
                      estado_civil='$txtestadocivil',
                      conyuge='$txtconyuge',
                      direccion='$txtdireccion',
                      telefono_casa='$txttelcasa',
                      fecha_nacimiento='$txtfechan',
                      cedula='$txtcedula',
                      afiliacion_igss='$txtigss',
                      titulo_ed_media='$txttitulo_ed_media',
                      titulo_registro='$txttitulo_registro',
                      cedula_docente='$txtceduladocente',
                      registro_escalafonario='$txtescalafon',
                      estudio_universitario='$txtestudiosu',
                      fecha_inicio_lab='$txtfechainiciolab',
                      puesto='$txtpuestoactual',
                      sueldo_base='$txtsueldobase',
                      bonificacion='$txtbonificacion',
                      cta_banco='$txtctabancoi',
                      telefono_emg='$txtavisaraemg',
                      avisar_a_emg='$txttelemg',
                      nit='$txtnit'
                      where usuario='$txtusuario'";
                 $qupd=mysql_query($sql);
                 if($qupd){alert("Usuario: $txtapellido, $txtnombre\\nactualizado con éxito","frm_upd_usuario.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
